summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorHans de Graaff <graaff@gentoo.org>2015-10-14 07:05:17 +0200
committerHans de Graaff <graaff@gentoo.org>2015-10-14 07:05:17 +0200
commitecebab3fe7a480b58aaec5b0afc4c16c4da98ad2 (patch)
treeef91a74c3cc498fa39a3a1e9092e3f36d5c20a59
parentdev-ruby/typhoeus: cleanup (diff)
downloadgentoo-ecebab3fe7a480b58aaec5b0afc4c16c4da98ad2.tar.gz
gentoo-ecebab3fe7a480b58aaec5b0afc4c16c4da98ad2.tar.bz2
gentoo-ecebab3fe7a480b58aaec5b0afc4c16c4da98ad2.zip
dev-ruby/typhoeus: add 0.8.0
Package-Manager: portage-2.2.20.1
-rw-r--r--dev-ruby/typhoeus/Manifest1
-rw-r--r--dev-ruby/typhoeus/typhoeus-0.8.0.ebuild30
2 files changed, 31 insertions, 0 deletions
diff --git a/dev-ruby/typhoeus/Manifest b/dev-ruby/typhoeus/Manifest
index 629f0a71480..6f622d1aced 100644
--- a/dev-ruby/typhoeus/Manifest
+++ b/dev-ruby/typhoeus/Manifest
@@ -1 +1,2 @@
DIST typhoeus-0.7.3.gem 51712 SHA256 13d1b1056fcb559d571da52fb13387797ff7b4f99ea157a7ef80e121e9356061 SHA512 2c837504cc81ee3131e5c0cfdd2da6ef123624ee166063ca749d9e001714aa45514d103229eb1d3c42e756acefa83697cd74d856e07ee584d5b5834d67a173b5 WHIRLPOOL ec10bb9a48428abc7c3afa63fc4f20c98b0eca41ab06dee4b28f9480d677b20e1b78080d349a6fa31717790d884eb19d035184756246fe315eb0e321d81a9011
+DIST typhoeus-0.8.0.gem 52224 SHA256 28b7cf3c7d915a06d412bddab445df94ab725252009aa409f5ea41ab6577a30f SHA512 e9e65bd1a912ee2c5f0e2026a478ccdbc7f7d34289a24849b23a03b64dea875bc81335a3206d8ee38acc36accaf98bfaf733574768bb54df4a0dd9945d9f1fa8 WHIRLPOOL adfcad38b4f7b35c4001836be05b895cc6e825311aa1119522a111d0acf5f4dbb4ea95619188798ade224013a5b268f2a6bc7642a649e828645ed0818212c9a6
diff --git a/dev-ruby/typhoeus/typhoeus-0.8.0.ebuild b/dev-ruby/typhoeus/typhoeus-0.8.0.ebuild
new file mode 100644
index 00000000000..b7fac482ade
--- /dev/null
+++ b/dev-ruby/typhoeus/typhoeus-0.8.0.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+USE_RUBY="ruby19 ruby20 ruby21 ruby22"
+
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.md UPGRADE.md"
+RUBY_FAKEGEM_TASK_DOC=""
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Runs HTTP requests in parallel while cleanly encapsulating handling logic"
+HOMEPAGE="http://rubygems.org/gems/typhoeus/"
+
+LICENSE="Ruby"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/ethon-0.8.0"
+
+ruby_add_bdepend "test? ( dev-ruby/json >=dev-ruby/faraday-0.9 >=dev-ruby/sinatra-1.3 )"
+
+all_ruby_prepare() {
+ sed -e '/bundler/I s:^:#:' -i Rakefile spec/spec_helper.rb || die
+}